# -*- mode: ruby -*-
# vi: set ft=ruby :

VAGRANT_VM_PROVIDER = "virtualbox"


# Aqui é a criação das VMS....
Vagrant.configure("2") do |config|
#  config.vbguest.auto_update = false
# usuario
config.ssh.username = "vagrant"
config.ssh.password = "vagrant"

  # SERVIDOR QUE TERÁ O AMBIENTE zabbixserver;)
  config.vm.define "zabbixserver" do |zabbixserver|
    zabbixserver.vm.box = "centos7-zabbix"
    zabbixserver.vm.hostname = "zabbixserver"
    zabbixserver.vm.box_url = "centos7-zabbix"

    #configurando  a rede interna para a VM
    zabbixserver.vm.provision :shell, :path => "scripts_vagrant/restart_network.sh", args: "103", privileged: true
    zabbixserver.vm.network :private_network, ip: "192.168.56.103"
    zabbixserver.vm.network :forwarded_port, guest: 22, host: 10122, id: "ssh"

    zabbixserver.vm.provider :virtualbox do |v|
      v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
      v.customize ["modifyvm", :id, "--memory", 512]
      v.customize ["modifyvm", :id, "--name", "zabbixserver"]
    end
    zabbixserver.vm.provision :shell, :path => "scripts_vagrant/install_server.sh", args: "3.4.4", privileged: true
  end

  # SERVIDOR QUE TERÁ O AMBIENTE  zbxproxy;)
  config.vm.define "zbxproxy" do |zbxproxy|
    zbxproxy.vm.box = "centos7-zabbix"
    zbxproxy.vm.provision :shell, :path => "scripts_vagrant/restart_network.sh", args: "104", privileged: true
    zbxproxy.vm.hostname = "zbxproxy"
    zbxproxy.vm.box_url = "centos7-zabbix"

    #configurando  a rede interna para a VM
    zbxproxy.vm.network :private_network, ip: "192.168.56.104"
    zbxproxy.vm.network :forwarded_port, guest: 22, host: 10222, id: "ssh"

    zbxproxy.vm.provider :virtualbox do |v|
      v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
      v.customize ["modifyvm", :id, "--memory", 512]
      v.customize ["modifyvm", :id, "--name", "zbxproxy"]
    end
    zbxproxy.vm.provision :shell, :path => "scripts_vagrant/install_proxy.sh", args: "3.4.4" , privileged: true
  end

end
